#include <stdio.h>
#include <stdlib.h> // Para usar a função abs

int main() {
    while (1) {
        int d;

        // Entrada do valor de d
        printf("Digite d (0 para sair): ");
        scanf("%d", &d);

        if (d == 0) {
            break;
        }

        int resp = 2000;
        int ponto = 0;

        while (ponto <= 2000) {
            int dist_ponto = abs(d - ponto);
            if (dist_ponto < resp) {
                resp = dist_ponto;
            }
            ponto += 400;
        }

        printf("%d\n", resp);
    }

    return 0;
}
